# Uses of Class
javax.swing.plaf.synth.SynthStyle

Packages that use SynthStyle
Package
Description
javax.swing.plaf.nimbus
Provides user interface objects built according to the cross-platform Nimbus look and feel.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of SynthStyle in javax.swing.plaf.nimbus

Subclasses of SynthStyle in javax.swing.plaf.nimbus
Modifier and Type
Class
Description
`final class`
`NimbusStyle`
A SynthStyle implementation used by Nimbus.

## Uses of SynthStyle in javax.swing.plaf.synth

Methods in javax.swing.plaf.synth that return SynthStyle
Modifier and Type
Method
Description
`SynthStyle`
SynthContext.`getStyle()`
Returns the style associated with this Region.
`static SynthStyle`
SynthLookAndFeel.`getStyle(JComponent c, Region region)`
Gets a SynthStyle for the specified region of the specified component.
`abstract SynthStyle`
SynthStyleFactory.`getStyle(JComponent c, Region id)`
Returns the style for the specified Component.
Constructors in javax.swing.plaf.synth with parameters of type SynthStyle
Modifier
Constructor
Description
``
`SynthContext(JComponent component, Region region, SynthStyle style, int state)`
Creates a SynthContext with the specified values.